Skip to main content
GET

Returns the event with the given update_id. An event bears some combination of a transaction, a contract reassignment, and a verdict.

Path parameters

string
required

Query parameters

object
OpenAPI type: DamlValueEncoding.How daml values should be encoded in the response. “compact_json” is a compact, human-readable JSON encoding. It is the same encoding as the one used in the HTTP JSON API or the JavaScript codegen. “protobuf_json” is a verbose JSON encoding that is more difficult to parse, but contains type information, i.e., the values can be parsed losslessly without having access to the Daml source code. Optional and defaults to “compact_json”.Allowed values: compact_json, protobuf_json.

Responses

200

ok
application/json
UpdateHistoryItemV2
An individual item in the update history. May be a transaction or a contract reassignment.
EventHistoryVerdict
EventHistoryTrafficSummary
Traffic summary data from the sequencer for the confirmation request corresponding to an event.
EventHistoryAppActivityRecords
App activity record computed from verdicts and traffic summaries as per CIP-104.

400

bad request
application/json
string
required

404

not found
application/json
string
required

500

internal server error
application/json
string
required

History

Updated0.6.10

The GET /v0/events/{update_id} operation changed in this snapshot.

Updated0.6.0

The GET /v0/events/{update_id} operation changed in this snapshot.

Updated0.5.17

The GET /v0/events/{update_id} operation changed in this snapshot.

Updated0.5.15

The GET /v0/events/{update_id} operation changed in this snapshot.

Added0.5.10